=== debian/changelog ===
isrcsubmit (2.0.0~beta.5-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/patches: Removed, no longer needed.
  * debian/control: Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Oct 2013 22:31:00 +0100

isrcsubmit (2.0.0~beta.4-1) experimental; urgency=low

  * Initial release. (Closes: #725179)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Oct 2013 16:03:55 +0200
