=== debian/control ===
Source: isrcsubmit
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-libdiscid,
 python3-musicbrainzngs (>= 0.4),
 python3-sphinx
Standards-Version: 3.9.5
Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
X-Python3-Version: >= 3.1
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/isrcsubmit.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/isrcsubmit.git -b master

Package: isrcsubmit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-libdiscid,
 python3-musicbrainzngs (>= 0.4)
Recommends:
 cdrdao,
 www-browser,
 xdg-utils
Description: extract ISRCs from audio CDs and submit them to MusicBrainz
 isrcsubmit is a command line utility to extract International Standard
 Recording Codes (ISRC) from audio CDs. It allows one to submit the extracted
 data to MusicBrainz. ISRCs are used to uniquely identify sound and music video
 recordings.
 .
 A valid MusicBrainz account is required to submit ISRCs.
