=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=debian/isrcsubmit \
		--install-layout=deb \
		--install-scripts=/usr/bin
	# get rid of .py
	mv debian/isrcsubmit/usr/bin/isrcsubmit.py debian/isrcsubmit/usr/bin/isrcsubmit
	# there is no point in installing the egg
	rm -rf debian/isrcsubmit/usr/lib

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.markdown
