=== debian/changelog ===
isrcsubmit (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/extra-import.patch: Removed, applied upstream.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 May 2014 17:25:39 +0200

isrcsubmit (2.0.0~rc.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Run tests.
  * debian/patches:
    - libdiscid.patch: Replace discid with python_libdiscid in setup.py.
    - extra-import.patch: get rid of extra import discid in test suite.
  * debian/clean: Clean *.egg-info to be able to build twice in a row.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Mar 2014 14:47:53 +0100
