=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-musicbrainzngs (>= 0.4)
 Recommends:
  cdrdao,
+ python3-keyring,
  www-browser,
  xdg-utils
 Description: extract ISRCs from audio CDs and submit them to MusicBrainz
