=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,10 @@
 	# there is no point in installing the egg
 	rm -rf debian/isrcsubmit/usr/lib
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	python3 setup.py test
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.markdown
