## isrcsubmit 2.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #version := 2.1.0-dev
-version := 2.0.0
+version := 2.0.1
 
 build:
 	./setup.py build
