=== pkg/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 2.0.0
+version := 2.0.1
 current := isrcsubmit-$(version)
 
 downloads := ../web/isrcsubmit.jonnyjd.net/downloads/
@@ -18,6 +18,7 @@
 source_branch := master
 source_dir := isrcsubmit
 
+# TODO: make sure isrcsubmit.py is really updated!
 
 tag_ref := $(source_repo)/.git/refs/tags/v$(version)
 branch_ref := $(source_repo)/.git/refs/heads/$(source_branch)
@@ -138,4 +139,4 @@
 	rm -rf $(base_libs)
 	rm -rf mediatools mediatools.exe
 
-.PHONY: source_update
+.PHONY: $(source_ref)
