=== debian/changelog ===
isrcsubmit (2.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat level to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Apr 2018 22:02:13 +0200

isrcsubmit (2.0.1-2) unstable; urgency=medium

  * debian/control: Fix typo in description. (Closes: #820346)
    Thanks to Katsuhiko Nishimra.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Jul 2016 01:16:56 +0200

isrcsubmit (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/mnapage.patch: Removed, applied upstream.
  * debian/copyright: Update copyright years.
  * debian/control: Document cdrdao in description. (Closes: #763885)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jun 2015 23:46:29 +0200

isrcsubmit (2.0.0-2) unstable; urgency=medium

  * debian/patches/manpage.patch: Fix installation of manpages (Closes:
    #773669)
  * debian/control: Bump Standards-Version to 3.9.6, no changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 May 2015 17:52:42 +0200
