=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: isrcsubmit
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3,
  python3-libdiscid,
  python3-musicbrainzngs (>= 0.4),
  python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 4.1.4
 Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
 X-Python3-Version: >= 3.1
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/isrcsubmit.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/isrcsubmit.git -b master
+Vcs-Browser: https://salsa.debian.org/multimedia-team/isrcsubmit
+Vcs-Git: https://salsa.debian.org/multimedia-team/isrcsubmit.git
 
 Package: isrcsubmit
 Architecture: all
@@ -34,4 +34,7 @@
  data to MusicBrainz. ISRCs are used to uniquely identify sound and music video
  recordings.
  .
+ isrcsubmit supports multiple backends to extract ISRCs: libdiscid (the default)
+ and cdrdao for discs that do not store ISRCs in the subchannel information.
+ .
  A valid MusicBrainz account is required to submit ISRCs.
