=== debian/changelog ===
isrcsubmit (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Feb 2019 20:51:54 +0100
