=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3,
  python3-libdiscid,
  python3-musicbrainzngs (>= 0.4),
  python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://jonnyjd.github.io/musicbrainz-isrcsubmit/
-X-Python3-Version: >= 3.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/isrcsubmit
 Vcs-Git: https://salsa.debian.org/multimedia-team/isrcsubmit.git
