=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 		--install-layout=deb \
 		--install-scripts=/usr/bin
 	# get rid of .py
-	mv debian/isrcsubmit/usr/bin/isrcsubmit.py debian/isrcsubmit/usr/bin/isrcsubmit
+	mv debian/isrcsubmit/usr/bin/isrcsubmit.py \
+		debian/isrcsubmit/usr/bin/isrcsubmit
 	# there is no point in installing the egg
 	rm -rf debian/isrcsubmit/usr/lib
