=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
  http://jonnyjd.github.io/musicbrainz-isrcsubmit/download \
    .*/isrcsubmit-(.*)\.tar\.gz
